members.dev
Audit logs

List Log Events

Lists Log Events

GET
/v1/logs

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Query Parameters

member_id?|

Filter by member ID.

entity_type?|

Filter by entity type.

entity_id?|

Filter by entity ID.

request_id?|

Filter by request ID.

page?integer

Page number

Default1
Range1 <= value
size?integer

Page size

Default50
Range1 <= value <= 100

Header Parameters

Members-Context?string

Members organization id (org_…) when the client has multiple organizations.

Default""

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.members.dev/v1/logs"
{
  "items": [
    {
      "id": "string",
      "type": "member.created",
      "created": null,
      "request_id": "string",
      "data": {
        "object": {},
        "previous_attributes": {}
      },
      "actor": {
        "type": "api_key",
        "id": "string",
        "display_name": "string"
      },
      "related_objects": [
        {
          "id": "string",
          "type": "string"
        }
      ]
    }
  ],
  "total": 0,
  "page": 1,
  "size": 1,
  "pages": 0
}
{
  "type": "https://api.members.dev/errors/invalid_credentials",
  "title": "Invalid credentials",
  "status": 401,
  "detail": "Invalid API Key or token.",
  "code": "invalid_credentials"
}
{
  "type": "https://api.members.dev/errors/not_linked_to_tenant",
  "title": "Not linked to tenant",
  "status": 403,
  "detail": "Not linked to this tenant",
  "code": "not_linked_to_tenant"
}
{
  "type": "https://api.members.dev/errors/member_not_found",
  "title": "Member not found",
  "status": 404,
  "detail": "No member exists with the given id in this organization.",
  "code": "member_not_found"
}
{
  "type": "https://api.members.dev/errors/members_context_required",
  "title": "Members context required",
  "status": 422,
  "detail": "This client has multiple organizations. Send the Members-Context header with the organization id (org_…) for this request.",
  "code": "members_context_required"
}
{
  "type": "https://api.members.dev/errors/rate_limit_exceeded",
  "title": "Rate limit exceeded",
  "status": 429,
  "detail": "Rate limit exceeded",
  "code": "rate_limit_exceeded"
}